---
title: "Provides translations for common texts"
url: "https://developer.migros.ch/apis/coupons-3/versions/2b8e9e45-2e72-462e-b3cb-d5019d51e0e3/operations/i18n"
---

> Full API specification: https://developer.migros.ch/apis/coupons-3/versions/2b8e9e45-2e72-462e-b3cb-d5019d51e0e3.md

# Provides translations for common texts

`GET` `/migros/customers/coupons/v3/i18n`

Operation ID: `i18n`

Key-translation-pairs for common texts used around Coupons and UCBs. These values are provided as a convenience for clients that do not maintain their own internationalisations. These do not change frequently and if they do it doesn't matter much if an 'outdated' one is used for some time. Clients are expected to cache the response of this endpoint for some hours to days. To prevent requesting these translations without client side caching this endpoint eploys strict rate limiting of a few request per minute per consumer.

## Query parameters

- `lang` (string, optional) - Override Accept-Language header

## Responses

- `200` - Object with key-value pairs
- `429` - API rate limit exceeded. You should cache the response, it doesn't change (often).
- `default` - Standard HTTP semantics (see above), no machine-interpretable body.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Coupons
  version: 3.4.0
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migros/customers/coupons/v3/i18n:
    get:
      description: >-
        Key-translation-pairs for common texts used around Coupons and UCBs.
        These values are provided as a convenience for clients that do not
        maintain their own internationalisations.


        These do not change frequently and if they do it doesn't matter much if
        an 'outdated' one is used for some time. Clients are expected to cache
        the response of this endpoint for some hours to days.


        To prevent requesting these translations without client side caching
        this endpoint eploys strict rate limiting of a few request per minute
        per consumer.
      operationId: i18n
      parameters:
        - $ref: "#/components/parameters/lang"
      responses:
        "200":
          content:
            application/json:
              schema:
                example:
                  text_activated: Der Coupon ist aktiviert und wird...
                  text_valid_until: Gültig bis {{enddatum}}
                type: object
          description: Object with key-value pairs
        "429":
          description: |-
            API rate limit exceeded.

            You should cache the response, it doesn't change (often).
        default:
          description: Standard HTTP semantics (see above), no machine-interpretable body.
      summary: Provides translations for common texts
      tags:
        - Static-Data
security:
  - Kong-Api-Key: []
  - Basic-Auth: []
components:
  parameters:
    lang:
      description: Override Accept-Language header
      in: query
      name: lang
      schema:
        enum:
          - de
          - fr
          - it
          - experimental_en
        type: string
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    Basic-Auth:
      description: Kong basic-auth authentication
      scheme: basic
      type: http
```
